class InventosStreak::Configuration
  attr_accessor :streak_api_key, :streak_base_url
  attr_writer :basic_auth

  def initialize
    @streak_api_key ||= ENV['STREAK_API_KEY']
    @streak_base_url ||= ENV['STREAK_BASE_URL']
  end

  def basic_auth
    @basic_auth ||= {
      username: @streak_api_key,
      password: nil
    }
  end
end